#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
extern int _ZN9nNIMRU21017iRoutableResourceD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21017iRoutableResourceD2Ev);
extern int _ZN9nNIMRU21017iRoutableResourceD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21017iRoutableResourceD1Ev);
extern int _ZN9nNIMRU21017iRoutableResourceD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21017iRoutableResourceD0Ev);
/* _ZN9nNIMRU21019tPoolOfRoutingPools34unlockDeviceAndEndRouteTransactionEPNS0_22undefined_LockedDeviceEPN9nNIMRL10014iRuntimeFacadeERN10nNIMDBG1008tStatus2E=_a07fce4d3bc7f10f5debc021b80bac88 */
extern int _a07fce4d3bc7f10f5debc021b80bac88;
nNIKAL100_mExportSymbol(_a07fce4d3bc7f10f5debc021b80bac88);
/* _ZN9nNIMRU21019tPoolOfRoutingPools34beginRouteTransactionAndLockDeviceERKN9nNIORB1005tGUIDEPN9nNIMRL10014iRuntimeFacadeERN10nNIMDBG1008tStatus2E=_c3bfb9276bc69c63bf2268fddc3312f8 */
extern int _c3bfb9276bc69c63bf2268fddc3312f8;
nNIKAL100_mExportSymbol(_c3bfb9276bc69c63bf2268fddc3312f8);
/* _ZN9nNIMRU21019tPoolOfRoutingPools27makeTerminalRoutable_unsafeERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEEiRKN10nNIDMXS10023tCaseInsensitiveWStringERN10nNIMDBG1008tStatus2E=_f4e3c6669c08c27cbb66a116c71d8b4e */
extern int _f4e3c6669c08c27cbb66a116c71d8b4e;
nNIKAL100_mExportSymbol(_f4e3c6669c08c27cbb66a116c71d8b4e);
/* _ZN9nNIMRU21019tPoolOfRoutingPools20makeTerminalRoutableERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEEiRKN10nNIDMXS10023tCaseInsensitiveWStringERN10nNIMDBG1008tStatus2E=_62097eebaa29054ea59b4b2f50f6cc48 */
extern int _62097eebaa29054ea59b4b2f50f6cc48;
nNIKAL100_mExportSymbol(_62097eebaa29054ea59b4b2f50f6cc48);
/* _ZN9nNIMRU21019tPoolOfRoutingPools30makeTerminalNonRoutable_unsafeERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEEiRKN10nNIDMXS10023tCaseInsensitiveWStringERN10nNIMDBG1008tStatus2E=_1bd94887a9a598755e75cf3a51c68d3f */
extern int _1bd94887a9a598755e75cf3a51c68d3f;
nNIKAL100_mExportSymbol(_1bd94887a9a598755e75cf3a51c68d3f);
/* _ZN9nNIMRU21019tPoolOfRoutingPools23makeTerminalNonRoutableERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEEiRKN10nNIDMXS10023tCaseInsensitiveWStringERN10nNIMDBG1008tStatus2E=_cc0aa104b88cbda91b71f91efb430932 */
extern int _cc0aa104b88cbda91b71f91efb430932;
nNIKAL100_mExportSymbol(_cc0aa104b88cbda91b71f91efb430932);
/* _ZN9nNIMRU21019tPoolOfRoutingPools24getMasterTerminal_unsafeERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEERS2_RNS5_6vectorISB_NS9_ISB_EEEERN10nNIMDBG1008tStatus2E=_2a80545d2633ef67fe51edb93b5bd02f */
extern int _2a80545d2633ef67fe51edb93b5bd02f;
nNIKAL100_mExportSymbol(_2a80545d2633ef67fe51edb93b5bd02f);
/* _ZN9nNIMRU21019tPoolOfRoutingPools38registerPassthroughCalculationObserverERKN9nNIORB1005tGUIDEPN9nNIMRU23031iPassthroughCalculationObserverERN10nNIMDBG1008tStatus2E=_4c1312ace7afdc1eb8d671cec3507ca3 */
extern int _4c1312ace7afdc1eb8d671cec3507ca3;
nNIKAL100_mExportSymbol(_4c1312ace7afdc1eb8d671cec3507ca3);
/* _ZN9nNIMRU21019tPoolOfRoutingPools27registerCalculationObserverERKN9nNIORB1005tGUIDEPN9nNIMRU23020iCalculationObserverERN10nNIMDBG1008tStatus2E=_f0ee1121d2d665e09ba7104ed4e5f511 */
extern int _f0ee1121d2d665e09ba7104ed4e5f511;
nNIKAL100_mExportSymbol(_f0ee1121d2d665e09ba7104ed4e5f511);
/* _ZN9nNIMRU21019tPoolOfRoutingPools15releaseTerminalERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEERN10nNIMDBG1008tStatus2E=_7485e19a29937fe812a0a0d884c54ca2 */
extern int _7485e19a29937fe812a0a0d884c54ca2;
nNIKAL100_mExportSymbol(_7485e19a29937fe812a0a0d884c54ca2);
/* _ZN9nNIMRU21019tPoolOfRoutingPools15releaseTerminalERKN9nNIORB1005tGUIDERN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEERN10nNIMDBG1008tStatus2E=_af97495e5522c3cc241f41351a6e7c90 */
extern int _af97495e5522c3cc241f41351a6e7c90;
nNIKAL100_mExportSymbol(_af97495e5522c3cc241f41351a6e7c90);
/* _ZN9nNIMRU21019tPoolOfRoutingPools15reserveTerminalERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEEiRKN10nNIDMXS10023tCaseInsensitiveWStringERN10nNIMDBG1008tStatus2E=_fda220131dabc4cdcc893bcf62be0faf */
extern int _fda220131dabc4cdcc893bcf62be0faf;
nNIKAL100_mExportSymbol(_fda220131dabc4cdcc893bcf62be0faf);
/* _ZN9nNIMRU21019tPoolOfRoutingPools15reserveTerminalERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEERN10nNIMDBG1008tStatus2E=_66bd5a16bb4b3211c7a989e1f0222a5c */
extern int _66bd5a16bb4b3211c7a989e1f0222a5c;
nNIKAL100_mExportSymbol(_66bd5a16bb4b3211c7a989e1f0222a5c);
/* _ZN9nNIMRU21019tPoolOfRoutingPools15reserveTerminalERKN9nNIORB1005tGUIDERN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEERN10nNIMDBG1008tStatus2E=_d078aa324aeabd6edc4de764d4a30701 */
extern int _d078aa324aeabd6edc4de764d4a30701;
nNIKAL100_mExportSymbol(_d078aa324aeabd6edc4de764d4a30701);
/* _ZN9nNIMRU21019tPoolOfRoutingPools16tristateTerminalERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEERN10nNIMDBG1008tStatus2E=_29fefd1875ee240aea77e9224eed19bc */
extern int _29fefd1875ee240aea77e9224eed19bc;
nNIKAL100_mExportSymbol(_29fefd1875ee240aea77e9224eed19bc);
/* _ZN9nNIMRU21019tPoolOfRoutingPools16tristateTerminalERKN9nNIORB1005tGUIDERN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEERN10nNIMDBG1008tStatus2E=_82c60a1679a739dc46cd5411a1eb5f96 */
extern int _82c60a1679a739dc46cd5411a1eb5f96;
nNIKAL100_mExportSymbol(_82c60a1679a739dc46cd5411a1eb5f96);
/* _ZN9nNIMRU21019tPoolOfRoutingPools10releaseAllERKN9nNIORB1005tGUIDERN10nNIMDBG1008tStatus2E=_27303f6ebbf5093238eafd054c692e7f */
extern int _27303f6ebbf5093238eafd054c692e7f;
nNIKAL100_mExportSymbol(_27303f6ebbf5093238eafd054c692e7f);
/* _ZN9nNIMRU21019tPoolOfRoutingPools10reserveAllERKN9nNIORB1005tGUIDERN10nNIMDBG1008tStatus2E=_e5412830dbdda83e7e0b04c566975f46 */
extern int _e5412830dbdda83e7e0b04c566975f46;
nNIKAL100_mExportSymbol(_e5412830dbdda83e7e0b04c566975f46);
/* _ZN9nNIMRU21019tPoolOfRoutingPools20queryCollectiveStateERN4_STL6vectorIN9nNIORB1005tGUIDENS1_9allocatorIS4_EEEERNS2_IN9nNIMRU23023tConnectedTerminalNamesENS5_ISA_EEEERKS4_RN10nNIMDBG1008tStatus2E=_2c46618ea5e60820eab347b6828affd9 */
extern int _2c46618ea5e60820eab347b6828affd9;
nNIKAL100_mExportSymbol(_2c46618ea5e60820eab347b6828affd9);
/* _ZN9nNIMRU21019tPoolOfRoutingPools27modifyCollectiveConnectionsERN4_STL6vectorIN9nNIMRU23023tConnectedTerminalNamesENS1_9allocatorIS4_EEEES8_RKN9nNIORB1005tGUIDERN10nNIMDBG1008tStatus2E=_ede129e0155631de35a2cc2ad8ca4ba5 */
extern int _ede129e0155631de35a2cc2ad8ca4ba5;
nNIKAL100_mExportSymbol(_ede129e0155631de35a2cc2ad8ca4ba5);
/* _ZN9nNIMRU21019tPoolOfRoutingPools27addDeviceAsPartOfCollectiveERKN9nNIORB1005tGUIDERNS_18tRoutingDeviceNodeES4_RN10nNIMDBG1008tStatus2E=_4e175e06da2b27b9f2d1a6220de478fa */
extern int _4e175e06da2b27b9f2d1a6220de478fa;
nNIKAL100_mExportSymbol(_4e175e06da2b27b9f2d1a6220de478fa);
/* _ZN9nNIMRU21019tPoolOfRoutingPools12removeDeviceERKN9nNIORB1005tGUIDERN10nNIMDBG1008tStatus2E=_2cecf68c1351cdf124213b63b185d6da */
extern int _2cecf68c1351cdf124213b63b185d6da;
nNIKAL100_mExportSymbol(_2cecf68c1351cdf124213b63b185d6da);
/* _ZN9nNIMRU21019tPoolOfRoutingPools16addDeviceMasteryERKN9nNIORB1005tGUIDES4_RKN4_STL6vectorINS5_4pairINS5_12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEESD_EENSB_ISE_EEEERN10nNIMDBG1008tStatus2E=_8a80c2b3daea3816b2702f9a25ade924 */
extern int _8a80c2b3daea3816b2702f9a25ade924;
nNIKAL100_mExportSymbol(_8a80c2b3daea3816b2702f9a25ade924);
/* _ZN9nNIMRU21019tPoolOfRoutingPools20addDeviceWithMasteryERKN9nNIORB1005tGUIDERNS_18tRoutingDeviceNodeES4_RKN4_STL6vectorINS7_4pairINS7_12basic_stringIcNS7_11char_traitsIcEENS7_9allocatorIcEEEESF_EENSD_ISG_EEEERN10nNIMDBG1008tStatus2E=_1856e65d158a5b2cc6acb7e329a87e27 */
extern int _1856e65d158a5b2cc6acb7e329a87e27;
nNIKAL100_mExportSymbol(_1856e65d158a5b2cc6acb7e329a87e27);
/* _ZN9nNIMRU21019tPoolOfRoutingPools9addDeviceERKN9nNIORB1005tGUIDERNS_18tRoutingDeviceNodeERN10nNIMDBG1008tStatus2E=_848b031e9de1d23fcade4557b17c7a17 */
extern int _848b031e9de1d23fcade4557b17c7a17;
nNIKAL100_mExportSymbol(_848b031e9de1d23fcade4557b17c7a17);
/* _ZN9nNIMRU21018tRoutingDeviceNode19setGeneratorVersionERK10tSSVersionRN10nNIMDBG1008tStatus2E=_6d3351bf8c16e0507364c3a6ad5ef8d0 */
extern int _6d3351bf8c16e0507364c3a6ad5ef8d0;
nNIKAL100_mExportSymbol(_6d3351bf8c16e0507364c3a6ad5ef8d0);
/* _ZN9nNIMRU21018tRoutingDeviceNode19setTerminalSetsMaskEjRN10nNIMDBG1008tStatus2E=_507312ebab2090df5922a202a28cab96 */
extern int _507312ebab2090df5922a202a28cab96;
nNIKAL100_mExportSymbol(_507312ebab2090df5922a202a28cab96);
/* _ZN9nNIMRU21018tRoutingDeviceNode16setVerticesCountEjRN10nNIMDBG1008tStatus2E=_a65dbbae79dbbde853ecd8c39c1c3655 */
extern int _a65dbbae79dbbde853ecd8c39c1c3655;
nNIKAL100_mExportSymbol(_a65dbbae79dbbde853ecd8c39c1c3655);
/* _ZN9nNIMRU21018tRoutingDeviceNode16setAlterEgoPairsEPN9nNIMRU23013tAlterEgoPairEj=_a4c2cc40da88891c30f9052d5bda25b6 */
extern int _a4c2cc40da88891c30f9052d5bda25b6;
nNIKAL100_mExportSymbol(_a4c2cc40da88891c30f9052d5bda25b6);
/* _ZN9nNIMRU21018tRoutingDeviceNode30makeTerminalNonRoutable_unsafeERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEiRKN10nNIDMXS10023tCaseInsensitiveWStringERN10nNIMDBG1008tStatus2E=_d4e2cc54cacbe037dfdd7cb3965f12b2 */
extern int _d4e2cc54cacbe037dfdd7cb3965f12b2;
nNIKAL100_mExportSymbol(_d4e2cc54cacbe037dfdd7cb3965f12b2);
/* _ZN9nNIMRU21018tRoutingDeviceNode27makeTerminalRoutable_unsafeERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEiRKN10nNIDMXS10023tCaseInsensitiveWStringERN10nNIMDBG1008tStatus2E=_957f252dc9363f8906d68098b31c8db3 */
extern int _957f252dc9363f8906d68098b31c8db3;
nNIKAL100_mExportSymbol(_957f252dc9363f8906d68098b31c8db3);
/* _ZN9nNIMRU21018tRoutingDeviceNode22reserveTerminal_unsafeERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEEiRKN10nNIDMXS10023tCaseInsensitiveWStringERN10nNIMDBG1008tStatus2E=_0999dce550dde7ee20041b4a37f21558 */
extern int _0999dce550dde7ee20041b4a37f21558;
nNIKAL100_mExportSymbol(_0999dce550dde7ee20041b4a37f21558);
/* _ZN9nNIMRU21018tRoutingDeviceNode22reserveTerminal_unsafeERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEERN10nNIMDBG1008tStatus2E=_21dbd0e728bfc3e789531bf6be0cfbb5 */
extern int _21dbd0e728bfc3e789531bf6be0cfbb5;
nNIKAL100_mExportSymbol(_21dbd0e728bfc3e789531bf6be0cfbb5);
/* _ZN9nNIMRU21018tRoutingDeviceNode22releaseTerminal_unsafeERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERN10nNIMDBG1008tStatus2E=_5d0607976dcdd55bc253290849c57711 */
extern int _5d0607976dcdd55bc253290849c57711;
nNIKAL100_mExportSymbol(_5d0607976dcdd55bc253290849c57711);
/* _ZN9nNIMRU21018tRoutingDeviceNode12addRoutable2EjPNS_17iRoutableResourceEPNS_27tComponentConfigurationNodeEjjjRN10nNIMDBG1008tStatus2E=_61f50134cfe473cabec5be80a30a26ea */
extern int _61f50134cfe473cabec5be80a30a26ea;
nNIKAL100_mExportSymbol(_61f50134cfe473cabec5be80a30a26ea);
/* _ZN9nNIMRU21018tRoutingDeviceNode11addRoutableEjPNS_17iRoutableResourceEPNS_27tComponentConfigurationNodeEjRN10nNIMDBG1008tStatus2E=_1247187ab9b7e3d3286f00158e819c11 */
extern int _1247187ab9b7e3d3286f00158e819c11;
nNIKAL100_mExportSymbol(_1247187ab9b7e3d3286f00158e819c11);
/* _ZN9nNIMRU21018tRoutingDeviceNode11addRoutableEjRNS_17iRoutableResourceEPNS_27tComponentConfigurationNodeEjRN10nNIMDBG1008tStatus2E=_beebeae611106389983da01d4e234127 */
extern int _beebeae611106389983da01d4e234127;
nNIKAL100_mExportSymbol(_beebeae611106389983da01d4e234127);
/* _ZN9nNIMRU21018tRoutingDeviceNode22setTopographyClassNameEPKcRN10nNIMDBG1008tStatus2E=_d91e79ed62e39ffdada5a76cf92cd964 */
extern int _d91e79ed62e39ffdada5a76cf92cd964;
nNIKAL100_mExportSymbol(_d91e79ed62e39ffdada5a76cf92cd964);
/* _ZN9nNIMRU21018tRoutingDeviceNode12setDIMDeviceER7iDeviceRN10nNIMDBG1008tStatus2E=_c1dd73d0a48277161ae369c3265ecb05 */
extern int _c1dd73d0a48277161ae369c3265ecb05;
nNIKAL100_mExportSymbol(_c1dd73d0a48277161ae369c3265ecb05);
extern int _ZN9nNIMRU21018tRoutingDeviceNodeD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21018tRoutingDeviceNodeD1Ev);
extern int _ZN9nNIMRU21018tRoutingDeviceNodeD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21018tRoutingDeviceNodeD2Ev);
/* _ZN9nNIMRU21018tRoutingDeviceNodeC1ERN10nNIMDBG1008tStatus2E=_e60bbe4d6439835937b9a364f598ecb0 */
extern int _e60bbe4d6439835937b9a364f598ecb0;
nNIKAL100_mExportSymbol(_e60bbe4d6439835937b9a364f598ecb0);
/* _ZN9nNIMRU21018tRoutingDeviceNodeC2ERN10nNIMDBG1008tStatus2E=_ecebce90b5cb4df03aa96997336a3e1a */
extern int _ecebce90b5cb4df03aa96997336a3e1a;
nNIKAL100_mExportSymbol(_ecebce90b5cb4df03aa96997336a3e1a);
extern int _ZN9nNIMRU23020iCalculationObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23020iCalculationObserverD2Ev);
extern int _ZN9nNIMRU23020iCalculationObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23020iCalculationObserverD1Ev);
extern int _ZN9nNIMRU23020iCalculationObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23020iCalculationObserverD0Ev);
extern int _ZN9nNIMRU23031iPassthroughCalculationObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23031iPassthroughCalculationObserverD2Ev);
extern int _ZN9nNIMRU23031iPassthroughCalculationObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23031iPassthroughCalculationObserverD1Ev);
extern int _ZN9nNIMRU23031iPassthroughCalculationObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23031iPassthroughCalculationObserverD0Ev);
/* _ZN9nNIMRU23010setMuxCostERKN9nNIORB1005tGUIDERKN4_STL12basic_stringIcNS4_11char_traitsIcEENS4_9allocatorIcEEEEtRN10nNIMDBG1008tStatus2E=_50a74b0f3ff20bf2d3ae4762b5b57e86 */
extern int _50a74b0f3ff20bf2d3ae4762b5b57e86;
nNIKAL100_mExportSymbol(_50a74b0f3ff20bf2d3ae4762b5b57e86);
extern int _ZN9nNIMRU22010iMRUFacade12getSingletonEv;
nNIKAL100_mExportSymbol(_ZN9nNIMRU22010iMRUFacade12getSingletonEv);
extern int _ZN9nNIMRU21011iTopography14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011iTopography14staticGetClassERi);
/* _ZN9nNIMRU23028iReferenceCountingTopography14staticGetClassERi=_326891676fa8aa91431ab0d74d6b699a */
extern int _326891676fa8aa91431ab0d74d6b699a;
nNIKAL100_mExportSymbol(_326891676fa8aa91431ab0d74d6b699a);
extern int _ZN9nNIMRU21011iTopographyD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011iTopographyD0Ev);
extern int _ZN9nNIMRU21011iTopographyD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011iTopographyD1Ev);
extern int _ZN9nNIMRU21011iTopographyD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011iTopographyD2Ev);
extern int _ZN9nNIMRU23028iReferenceCountingTopographyD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23028iReferenceCountingTopographyD0Ev);
extern int _ZN9nNIMRU23028iReferenceCountingTopographyD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23028iReferenceCountingTopographyD1Ev);
extern int _ZN9nNIMRU23028iReferenceCountingTopographyD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23028iReferenceCountingTopographyD2Ev);
extern int _ZN9nNIMRU21011iTopography13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011iTopography13___CPPKRLCastEPS0_PKPv);
extern int _ZN9nNIMRU21011iTopography20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011iTopography20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIMRU21011iTopography13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011iTopography13___CPPKRLCastEPKS0_PKPv);
/* _ZN9nNIMRU23028iReferenceCountingTopography13___CPPKRLCastEPS0_PKPv=_8f6ae9c5ab4d2e7a76805b6b52a86caa */
extern int _8f6ae9c5ab4d2e7a76805b6b52a86caa;
nNIKAL100_mExportSymbol(_8f6ae9c5ab4d2e7a76805b6b52a86caa);
/* _ZN9nNIMRU23028iReferenceCountingTopography20___CPPKRLDynamicCastEPKPv=_4d058b86ab927ac782727ebd5face819 */
extern int _4d058b86ab927ac782727ebd5face819;
nNIKAL100_mExportSymbol(_4d058b86ab927ac782727ebd5face819);
/* _ZN9nNIMRU23028iReferenceCountingTopography13___CPPKRLCastEPKS0_PKPv=_fcc71fb6bb6eed8d3b01d3fd2ad6721b */
extern int _fcc71fb6bb6eed8d3b01d3fd2ad6721b;
nNIKAL100_mExportSymbol(_fcc71fb6bb6eed8d3b01d3fd2ad6721b);
/* _ZNK9nNIMRU23028iReferenceCountingTopography20___CPPKRLDynamicCastEPKPv=_2902fc0dcabf8d547c2ffd2ee0858f66 */
extern int _2902fc0dcabf8d547c2ffd2ee0858f66;
nNIKAL100_mExportSymbol(_2902fc0dcabf8d547c2ffd2ee0858f66);
extern int _ZNK9nNIMRU21011iTopography20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZNK9nNIMRU21011iTopography20___CPPKRLDynamicCastEPKPv);
/* _ZN9nNIMRU23013tDecompressor29cleanupComponentDecompressionERPN9nNIMRU21027tComponentConfigurationNodeERPvRN10nNIMDBG1008tStatus2E=_b09f2eccc116469fe4d84fb8f05df7d1 */
extern int _b09f2eccc116469fe4d84fb8f05df7d1;
nNIKAL100_mExportSymbol(_b09f2eccc116469fe4d84fb8f05df7d1);
/* _ZN9nNIMRU23013tDecompressor30cleanupTopographyDecompressionERPKN9nNIMRU21022tTopographyInformationERPvRi=_480fef0b0f4e41e1f19f33128705f835 */
extern int _480fef0b0f4e41e1f19f33128705f835;
nNIKAL100_mExportSymbol(_480fef0b0f4e41e1f19f33128705f835);
/* _ZN9nNIMRU23013tDecompressor20decompressComponentsERK10tSSVersionjPKhjPKjjRPvRN10nNIMDBG1008tStatus2E=_3093e91d73cb599898020c3d9efd6e73 */
extern int _3093e91d73cb599898020c3d9efd6e73;
nNIKAL100_mExportSymbol(_3093e91d73cb599898020c3d9efd6e73);
/* _ZN9nNIMRU23013tDecompressor20decompressTopographyERK10tSSVersionjPKhjPKjjPKPKcRPvRi=_cd4f57061d80d46ecefa15064817001e */
extern int _cd4f57061d80d46ecefa15064817001e;
nNIKAL100_mExportSymbol(_cd4f57061d80d46ecefa15064817001e);
/* _ZNK9nNIMRU21011tGraphState22getComponentIdentifierEjRjS1_=_52b99ab17993aad4d86f0e49eae9f92e */
extern int _52b99ab17993aad4d86f0e49eae9f92e;
nNIKAL100_mExportSymbol(_52b99ab17993aad4d86f0e49eae9f92e);
/* _ZN9nNIMRU21011tGraphState17integrateSnapshotERKN4_STL6vectorIiNS1_9allocatorIiEEEE=_688b5b9e0f90243103350b87dcd31560 */
extern int _688b5b9e0f90243103350b87dcd31560;
nNIKAL100_mExportSymbol(_688b5b9e0f90243103350b87dcd31560);
extern int _ZNK9nNIMRU21011tGraphState17findTerminalGroupEPKc;
nNIKAL100_mExportSymbol(_ZNK9nNIMRU21011tGraphState17findTerminalGroupEPKc);
extern int _ZNK9nNIMRU21011tGraphState12findTerminalEPKc;
nNIKAL100_mExportSymbol(_ZNK9nNIMRU21011tGraphState12findTerminalEPKc);
extern int _ZN9nNIMRU21011tGraphStateD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011tGraphStateD1Ev);
extern int _ZN9nNIMRU21011tGraphStateD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011tGraphStateD2Ev);
/* _ZN9nNIMRU21011tGraphStateC1ERKNS_22tTopographyInformationEj=_f84fa43b56a70dd381a331113d399f52 */
extern int _f84fa43b56a70dd381a331113d399f52;
nNIKAL100_mExportSymbol(_f84fa43b56a70dd381a331113d399f52);
/* _ZN9nNIMRU21011tGraphStateC2ERKNS_22tTopographyInformationEj=_bdb5ab0c2908850d03fba611312cd2f0 */
extern int _bdb5ab0c2908850d03fba611312cd2f0;
nNIKAL100_mExportSymbol(_bdb5ab0c2908850d03fba611312cd2f0);
extern int _ZN9nNIMRU21011tGraphStateC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011tGraphStateC1ERKS0_);
extern int _ZN9nNIMRU21011tGraphStateC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011tGraphStateC2ERKS0_);
extern int _ZN9nNIMRU21015tRoutingSession8getStateEv;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21015tRoutingSession8getStateEv);
extern int _ZNK9nNIMRU21015tRoutingSession13getTopographyEv;
nNIKAL100_mExportSymbol(_ZNK9nNIMRU21015tRoutingSession13getTopographyEv);
extern int _ZN9nNIMRU21015tRoutingSessionD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21015tRoutingSessionD1Ev);
extern int _ZN9nNIMRU21015tRoutingSessionD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21015tRoutingSessionD2Ev);
extern int _ZN9nNIMRU22017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIMRU22017getCurrentVersionERi);
extern int _ZN9nNIMRU22026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIMRU22026getOldestCompatibleVersionERi);
extern int _ZN9nNIMRU21017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21017getCurrentVersionERi);
extern int _ZN9nNIMRU21026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21026getOldestCompatibleVersionERi);
extern int _ZN9nNIMRU21014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21014compareVersionERK10tSSVersionS2_RiPKc);
extern int _ZN9nNIMRU22014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN9nNIMRU22014compareVersionERK10tSSVersionS2_RiPKc);
extern int _ZN9nNIMRU23017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23017getCurrentVersionERi);
extern int _ZN9nNIMRU23026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23026getOldestCompatibleVersionERi);
extern int _ZN9nNIMRU23014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN9nNIMRU23014compareVersionERK10tSSVersionS2_RiPKc);
extern int _ZN9nNIMRU21011iTopography10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIMRU21011iTopography10___classIDE);
/* _ZN9nNIMRU23028iReferenceCountingTopography10___classIDE=_e5420c9900c9fbe82716321f15e43758 */
extern int _e5420c9900c9fbe82716321f15e43758;
nNIKAL100_mExportSymbol(_e5420c9900c9fbe82716321f15e43758);
/* _ZTv0_n24_N9nNIMRU21011iTopography20___CPPKRLDynamicCastEPKPv=_fe27c4e05167fae69eba003fc8d79a6f */
extern int _fe27c4e05167fae69eba003fc8d79a6f;
nNIKAL100_mExportSymbol(_fe27c4e05167fae69eba003fc8d79a6f);
/* _ZTv0_n32_N9nNIMRU21011iTopography20___CPPKRLDynamicCastEPKPv=_a3fb5c4d2fc1fac528919f5b715cb6ea */
extern int _a3fb5c4d2fc1fac528919f5b715cb6ea;
nNIKAL100_mExportSymbol(_a3fb5c4d2fc1fac528919f5b715cb6ea);
/* _ZTv0_n24_N9nNIMRU23028iReferenceCountingTopography20___CPPKRLDynamicCastEPKPv=_9540322b87e17b12e351e7031ece853c */
extern int _9540322b87e17b12e351e7031ece853c;
nNIKAL100_mExportSymbol(_9540322b87e17b12e351e7031ece853c);
/* _ZTv0_n32_N9nNIMRU23028iReferenceCountingTopography20___CPPKRLDynamicCastEPKPv=_70913374df5c8cbc3949609871d94f6a */
extern int _70913374df5c8cbc3949609871d94f6a;
nNIKAL100_mExportSymbol(_70913374df5c8cbc3949609871d94f6a);
/* _ZTv0_n32_NK9nNIMRU23028iReferenceCountingTopography20___CPPKRLDynamicCastEPKPv=_98f4012616c2ca7d44265e76df3710cd */
extern int _98f4012616c2ca7d44265e76df3710cd;
nNIKAL100_mExportSymbol(_98f4012616c2ca7d44265e76df3710cd);
/* _ZTv0_n40_NK9nNIMRU23028iReferenceCountingTopography20___CPPKRLDynamicCastEPKPv=_27e9fc16a03514448ed332abf5a7fe81 */
extern int _27e9fc16a03514448ed332abf5a7fe81;
nNIKAL100_mExportSymbol(_27e9fc16a03514448ed332abf5a7fe81);
/* _ZTv0_n32_NK9nNIMRU21011iTopography20___CPPKRLDynamicCastEPKPv=_b6e58844fed90290dd3c8eaf6f326725 */
extern int _b6e58844fed90290dd3c8eaf6f326725;
nNIKAL100_mExportSymbol(_b6e58844fed90290dd3c8eaf6f326725);
/* _ZTv0_n40_NK9nNIMRU21011iTopography20___CPPKRLDynamicCastEPKPv=_e84438bbb978b268beb115353636ccc1 */
extern int _e84438bbb978b268beb115353636ccc1;
nNIKAL100_mExportSymbol(_e84438bbb978b268beb115353636ccc1);
